import { Routes } from '@angular/router';
import { EditorComponent } from './components/editor/editor.component';
import { LandingPageComponent } from './components/landing-page/landing-page.component';
import { DocumentationComponent } from './components/documentation/documentation.component';
import { FormComponent } from './components/form/form.component';
import { TermsOfServiceComponent } from './components/terms-of-service/terms-of-service.component';
import { OurStoryComponent } from './components/our-story/our-story.component';
import { PrivacyPolicyComponent } from './components/privacy-policy/privacy-policy.component';

// Toutes les routes de l'application sont définies ici
export const routes: Routes = [
  { path: '', component: LandingPageComponent },
  { path: 'editor', component: EditorComponent },
  { path: 'editor-live/:idRoom', component: EditorComponent },
  { path: 'documentation', component: DocumentationComponent },
  { path: 'contact', component: FormComponent },
  { path: 'our-story', component: OurStoryComponent },
  { path: 'terms-of-service', component: TermsOfServiceComponent },
  { path: 'privacy-policy', component: PrivacyPolicyComponent },
];
