import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-our-story',
  templateUrl: './our-story.component.html',
  styleUrl: './our-story.component.scss',
  standalone: true,
})
export class OurStoryComponent {
  constructor(private router: Router) {}
  colin: string = 'assets/img/colin.png';
  hugo: string = 'assets/img/hugo.png';
  bastien: string = 'assets/img/bastien.png';
  clement: string = 'assets/img/clement.png';
  matis: string = 'assets/img/matis.png';

  // Si click sur "Run", on redirige vers la page de notre histoire
  onContinue(): void {
    this.router.navigateByUrl('/our-story');
  }
}
